<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 8/18/09	ELL
// Revised: 2/8/2012	ELL
// Added table prefix handling.
// Revised: 7/29/2014	ELL
// Converted save functions to JQuery AJAX operations.
// Revised: 10/19/2014	ELL
// Converted editor for simple text area to CKEditor is source view.
// 
//
	include ("check_session.php");
		
	$style_sheet = $_REQUEST['style_sheet'];
	
	if ($style_sheet == "site_mobile")
		$custom_site_css_table = "custom_site_mobile_css";
	else
		$custom_site_css_table = "custom_site_css";
		
	if (BWB_BASE_DIR == '')
		$path = "../" . BWB_WEBPAGE_DIR . "/index.php";
	else
		$path = "../" . BWB_BASE_DIR . "/" . BWB_WEBPAGE_DIR . "/index.php";
		
?>
<html>
<head>
<title>Breeze Website Builder</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="manager.css" type="text/css">
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">

<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
<script language="javascript" type="text/javascript" src="js/browser_detect.js"></script>
<script language="javascript" type="text/javascript" src="js/mouse_position.js"></script>
<script language="javascript" type="text/javascript" src="js/popup_msg.js"></script>
<script language="javascript" type="text/javascript" src="js/edit_custom_css.js"></script>
<script language="javascript" type="text/javascript" src="../ckeditor/ckeditor.js"></script>

<script>
	var custom_site_css_table = "<?php echo $custom_site_css_table; ?>";
	var style_sheet = "<?php echo $style_sheet; ?>";
	
	var saved = true;
 
	var browser = BrowserDetect.browser;
	var browser_version = BrowserDetect.version;
</script>

</head>

<body>
<div style='text-align:center;'>

   <form action="save_custom_css.php" method="post" enctype="multipart/form-data" name="frm_site_styles" id="frm_site_styles">
    
     <div style="height:93%; width:100%;" id="editorContainer" name="editorContainer"></div>

	<script type="text/javascript" language="javascript">
    //<![CDATA[
		CKEDITOR_BASEPATH = '../ckeditor/';
		
		CKEDITOR.replace( 'editorContainer', { contentsCss : ['/ckeditor/contents.css'] });

		CKEDITOR.config.extraPlugins = 'codemirror';
		CKEDITOR.config.skin = 'kama';
		CKEDITOR.config.allowedContent = true;
		
		CKEDITOR.config.toolbarGroups = [
    { name: 'document',    groups: [ 'mode', 'document', 'doctools' ] },
    { name: 'editing',     groups: [ 'find', 'selection' ] },
    { name: 'tools' },
    { name: 'others' },
    { name: 'about' }
];
		
		CKEDITOR.config.removePlugins = 'newpage,print,templates,showblocks';
		CKEDITOR.config.removeButtons = 'Source';
		
        var editorElem = document.getElementById("editorContainer");
        CKEDITOR.config.width = '99%';

		if ((browser == "Explorer") && (browser_version <= 7))
        	CKEDITOR.config.height = document.body.clientHeight - 164;
		else if ((browser == "Opera") && (browser_version < 13))
			CKEDITOR.config.height = window.innerHeight - 139;
		else if ((browser == "Explorer") && (browser_version == 8))
			CKEDITOR.config.height = document.body.clientHeight - 139;
		else
			CKEDITOR.config.height = editorElem.clientHeight - 69;
        CKEDITOR.config.resize_enabled = false;

		CKEDITOR.config.startupMode = 'source';

		CKEDITOR.config.codemirror = {
			// Set this to the theme you wish to use (codemirror themes)
			theme: 'rubyblue',
			// Whether or not you want to show line numbers
			lineNumbers: true,
			// Whether or not you want to use line wrapping
			lineWrapping: true,
			// Whether or not you want to highlight matching braces
			matchBrackets: true,
			// Whether or not you want tags to automatically close themselves
			autoCloseTags: true,
			// Whether or not you want Brackets to automatically close themselves
			autoCloseBrackets: true,
			// Whether or not to enable search tools, CTRL+F (Find), CTRL+SHIFT+F (Replace), CTRL+SHIFT+R (Replace All), CTRL+G (Find Next), CTRL+SHIFT+G (Find Previous)
			enableSearchTools: true,
			// Whether or not you wish to enable code folding (requires 'lineNumbers' to be set to 'true')
			enableCodeFolding: true,
			// Whether or not to enable code formatting
			enableCodeFormatting: true,
			// Whether or not to automatically format code should be done when the editor is loaded
			autoFormatOnStart: true,
			// Whether or not to automatically format code should be done every time the source view is opened
			autoFormatOnModeChange: true,
			// Whether or not to automatically format code which has just been uncommented
			autoFormatOnUncomment: true,
			// Whether or not to highlight the currently active line
			highlightActiveLine: true,
			// Define the language specific mode 'htmlmixed' for html including (css, xml, javascript), 'application/x-httpd-php' for php mode including html, or 'text/javascript' for using java script only
			//mode: 'htmlmixed',
			mode: 'css',
			// Whether or not to show the search Code button on the toolbar
			showSearchButton: true,
			// Whether or not to show Trailing Spaces
			showTrailingSpace: true,
			// Whether or not to highlight all matches of current word/selection
			highlightMatches: true,
			// Whether or not to show the format button on the toolbar
			showFormatButton: true,
			// Whether or not to show the comment button on the toolbar
			showCommentButton: true,
			// Whether or not to show the uncomment button on the toolbar
			showUncommentButton: true,
			// Whether or not to show the showAutoCompleteButton button on the toolbar
			showAutoCompleteButton: true
		};
		
		var bwb_ckeditor = CKEDITOR.instances['editorContainer'];

		function somethingChanged()	{
			if ( bwb_ckeditor.checkDirty() )
			{
				saved = false;
				window.parent.SetWorkSavedNotSaved(saved);
				try	{
					bwb_ckeditor.commands.save.enable();
				}
				catch(err)	{
					err = 0;
				}
			}
		}

		function somethingHappened(e)	{
//			alert(e.data.name);
			if ( bwb_ckeditor.checkDirty() )
				window.parent.SetWorkSavedNotSaved(true);
				
			if (e.data.name == "newpage")
			{
				e.data.command = null;
				//ClearContent();
			}
			else if (e.data.name == "preview")
			{
				e.data.command = null;
				Save('Preview');
			}
			else if (e.data.name == "save")
			{
				e.data.command = null;
				Save('Update');
				try	{
					bwb_ckeditor.commands.save.disable();
				}
				catch(err)	{
					err = 0;
				}
				bwb_ckeditor.resetDirty();
			}
			else if (e.data.name == "source")
			{
				e.data.command = null;
			}
		}

		LoadCSS();
		
		bwb_ckeditor.on( 'saveSnapshot', function(e) { somethingChanged(); });
		bwb_ckeditor.on( 'beforeCommandExec', function(e) { somethingHappened(e); });
		
    //]]>
    </script>
           
       <table width="90%" border="0" cellspacing="0" cellpadding="0" id="btn_table">
         <tr>
         <td align="left" class="small_message" width="9%">
          <span id="page_name_label">Style Sheet:<br /><?php echo $custom_site_css_table; ?></span>
         </td>
         <td align="center">
            <div class='button_console_preview' style="width:110px;" onClick="Save('Preview');"><span class='button_console_text_w_icon'>Preview</span></div>
          </td>
           <td align="center">
            <div class='button_console_save' style="width:110px;" onClick="Save('Save');"><span class='button_console_text_w_icon'>Save</span></div>
		   </td>
		   <td align="center">
            <div class='button_console_save' style="width:110px;" onClick="Save('Publish');"><span class='button_console_text_w_icon'>Publish</span></div>
		   </td>
           <td align="center">
          	<div class='button_console_cancel' style="width:110px;" onClick="Revert();"><span class='button_console_text_w_icon'>Revert</span></div>
           </td>
           <td align="center">
            <div class='button_console_preview' style="width:110px;" onClick="window.open('<?php echo $path; ?>', '_blank');"><span class='button_console_text_w_icon'>See Site</span></div>
           </td>
         	<td align="right" width="10%"><div class="help_button" id="help_button" onClick="OpenHelpWindow();">&nbsp;</div></td>
         </tr>
       </table>
       </form>

</div>

<?php include("lib/popup_msg.html"); ?>

<script language="javascript" type="text/javascript">
	HidePopupMsg();
	mTimer3 = setTimeout("LoadCSS();", 1000);
	mTimer = setTimeout("bwb_ckeditor.commands.save.disable(); saved = true; window.parent.SetWorkSavedNotSaved(true);", 4000);
	mTimerCheckDirty = setInterval("somethingChanged();", 8000);
</script>

</body>
</html>